<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/VertexCollection.cc File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">VertexCollection.cc File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_vertex_collection_8h_source.html">eicd/VertexCollection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_reconstructed_particle_collection_8h_source.html">eicd/ReconstructedParticleCollection.h</a>&quot;</code><br />
<code>#include &lt;stdexcept&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for VertexCollection.cc:</div>
<div class="dyncontent">
<div class="center"><img src="_vertex_collection_8cc__incl.png" border="0" usemap="#src_2_vertex_collection_8cc" alt=""/></div>
<map name="src_2_vertex_collection_8cc" id="src_2_vertex_collection_8cc">
<area shape="rect" id="node2" href="_vertex_collection_8h.html" title="eicd/VertexCollection.h" alt="" coords="2117,87,2275,114"/>
<area shape="rect" id="node19" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="1456,80,1635,121"/>
<area shape="rect" id="node3" href="_vertex_data_8h.html" title="eicd/VertexData.h" alt="" coords="2601,885,2727,912"/>
<area shape="rect" id="node6" href="_vertex_8h.html" title="eicd/Vertex.h" alt="" coords="2600,661,2699,688"/>
<area shape="rect" id="node8" href="_vertex_obj_8h.html" title="eicd/VertexObj.h" alt="" coords="2503,811,2622,837"/>
<area shape="rect" id="node4" href="_vector_x_y_z_t_8h.html" title="eicd/VectorXYZT.h" alt="" coords="2600,960,2733,987"/>
<area shape="rect" id="node7" href="_vertex_const_8h.html" title="eicd/VertexConst.h" alt="" coords="2390,736,2525,763"/>
<area shape="rect" id="node20" href="_reconstructed_particle_data_8h.html" title="eicd/ReconstructedParticle\lData.h" alt="" coords="195,423,373,464"/>
<area shape="rect" id="node21" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="986,169,1177,196"/>
<area shape="rect" id="node23" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="1208,333,1387,375"/>
<area shape="rect" id="node22" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="1056,244,1235,285"/>
<area shape="rect" id="node24" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="1498,430,1601,457"/>
<area shape="rect" id="node34" href="_track_8h.html" title="eicd/Track.h" alt="" coords="682,430,777,457"/>
<area shape="rect" id="node25" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="1480,512,1619,539"/>
<area shape="rect" id="node26" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="1613,587,1736,613"/>
<area shape="rect" id="node28" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="1842,661,1987,688"/>
<area shape="rect" id="node27" href="_cluster_data_8h.html" title="eicd/ClusterData.h" alt="" coords="1472,736,1603,763"/>
<area shape="rect" id="node29" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="1830,736,2010,763"/>
<area shape="rect" id="node30" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="1839,811,2004,837"/>
<area shape="rect" id="node32" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="2036,960,2161,987"/>
<area shape="rect" id="node31" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="1835,885,2008,912"/>
<area shape="rect" id="node35" href="_track_const_8h.html" title="eicd/TrackConst.h" alt="" coords="665,512,794,539"/>
<area shape="rect" id="node36" href="_track_obj_8h.html" title="eicd/TrackObj.h" alt="" coords="765,587,880,613"/>
<area shape="rect" id="node38" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="464,661,589,688"/>
<area shape="rect" id="node42" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="616,661,739,688"/>
<area shape="rect" id="node37" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="915,661,1037,688"/>
<area shape="rect" id="node39" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="448,736,608,763"/>
<area shape="rect" id="node40" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="511,811,657,837"/>
<area shape="rect" id="node41" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="505,885,658,912"/>
<area shape="rect" id="node43" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="733,736,891,763"/>
<area shape="rect" id="node44" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="855,811,998,837"/>
<area shape="rect" id="node45" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="835,885,986,912"/>
</map>
</div>
</div>
<p><a href="_vertex_collection_8cc_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aed3ebfcc0205674262896f67c92d0f28"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#aed3ebfcc0205674262896f67c92d0f28">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const VertexCollection &amp;v)</td></tr>
<tr class="separator:aed3ebfcc0205674262896f67c92d0f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
